* {
    padding: 0;
    margin: 0;
    font-family: "Helvetica Neue", Helvetica, STHeiTi, sans-serif;
}
html {
    background-color: #FF6113;
}
body {
    background-color: #a7e4ff;
    position: relative;
}

input {
    border: 0;
    background: none;
}

input:focus {
    outline: none;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

    input[type="number"] {
        -moz-appearance: textfield;
    }

p {
    display: block;
    margin-block-start: .0em;
    margin-block-end: .0em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

.loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    z-index: 9999;
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
}

.loading.hide {
    opacity: 0;
    pointer-events: none;
}

.loading-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: .5rem;
    height: .5rem;
    border-radius: 50%;
    border: 5px solid #ccc;
    border-top-color: #333;
    animation: loading 1s infinite linear;
}

@keyframes loading {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

#app {
    position: relative;
}

#app .view {
    min-height: 100vh;
    position: relative;
}

.modal-content {
    position: relative;
    background-image: url(../img/bg.png);
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-color: #a7e4ff;
}

.top-content {
    position: relative;
    top: 6.3rem;
    margin: auto;
    width: 6rem;
    padding: 0.3rem 0.1rem 0.3rem 0.3rem;
    background-image: linear-gradient(to top, #fffbe0 0%, #ffffff 100%);
    border-radius: 0.1em;
    box-sizing: border-box;
}
.but-content {
    position: relative;
    top: 6.6rem;
    margin: auto;
    width: 6rem;
    padding: 0.3rem 0.1rem 0.3rem 0.1rem;
    background-image: linear-gradient(to top, #fffbe0 0%, #ffffff 100%);
    border-radius: 0.1em;
    box-sizing: border-box;
}
.but-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: .3rem;
    padding-top: 1rem;
    position: relative;
}
.but-content .background-image {
    position: absolute;
    top: -0.03rem;
    left: 50%;
    transform: translateX(-50%);
    width: 3.5rem;
    height: .7rem;
    background-image: url(../img/receive.png);
    background-size: 100% 100%;
    /* background-repeat: no-repeat; */
    /* text-align: center; */
    line-height: .65rem;
    font-size: 0.4rem;
    color: white;
    font-weight: 500;
    letter-spacing: .05rem;
    display: flex;
    justify-content: center;
    text-indent: .1rem;
}
.but-content .box {
    display: flex;
    width: 5.1rem;
    align-items: center;
    border: .04rem solid #EF6825;
    padding: 0.3rem .3rem;
    border-radius: 0.2rem;
    background-color: #ffffff;
    color: #EF6825;
    /* box-shadow: 0px 2px 5px #EF6825; */
    box-sizing: border-box;
    justify-content: space-between;
    margin-bottom: .2rem;
}

.but-content .box .text {
    font-size: .37rem;
    font-weight: bold;
    margin-right: 0.2rem;
    position: relative;
}

.but-content .box .text::after {
    content: '';
    position: absolute;
    right: -.25rem;
    top: 0;
    width: .02rem;
    height: 100%;
    background-color: #EF6825;
}
.but-content .box .code {
    font-size: .47rem;
    font-weight: bold;
    margin-right: .2rem;
    margin-top: .05rem;
}

.but-content .box .copy {
    font-size: 0.15rem;
    border: 1px solid #f39000;
    padding: 0.05rem 0.01rem 0.02rem 0.08rem;
    border-radius: 0.05rem;
    cursor: pointer;
    width: .4rem;
    height: .4rem;
    letter-spacing: .02rem;
    margin-top: .04rem;
    font-weight: 600;
}
.note {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 1rem;
    position: relative;
    position: relative;
    top: 6.8rem;
    margin: auto;
    width: 6rem;
    padding: 0.3rem 0.1rem 0.3rem 0.1rem;
    /* background-image: linear-gradient(to top, #fffbe0 0%, #ffffff 100%); */
    border-radius: 0.1em;
    box-sizing: border-box;
    color: white;
    font-size: .22rem;
    word-break: break-all;
}
.phone_detail {
    display: flex;
    font-size: .3rem;
    color: #EF6825;
    font-weight: 600;
}

.phone_detail div {
    letter-spacing: .02rem;
}

.phone {
    line-height: .35rem;
    margin-right: .3rem;
}

.loginOut {
    color: #fff;
    background-color: #EF6825;
    font-size: .20rem;
    padding: 0.04rem 0.1rem 0.02rem 0.15rem;
    border-radius: 0.09rem;
    height: 0.3rem;
    line-height: .3rem;
}
.loginOut-over{
    height: 0.4rem;
    width: 1rem;
    position: absolute;
    top: 6.7rem;
    z-index: 111;
    left: 2.3rem;
}


.content {
    color: #333333;
}
.content-btn {
    margin-top: .5rem;
}

.Btn1 {
    width: 5.5rem;
    height: 0.86rem;
    background-size: 100%;
    background-image: url(../img/dinggou.png);
    background-position: 100% 100%;
    background-repeat: no-repeat;
    margin-left: -.05rem;
}
.content-text1 {
    font-weight: 500;
    font-size: .21rem;
    margin: 0.2rem 0.2rem 0.2rem 0rem;
    line-height: .35rem;
}

.content-text2 {
    text-align: center;
    font-size: .3rem;
    font-weight: 600;
}
.content-text3 {
    text-align: center;
    font-size: .18rem;
    font-weight: 510;
}

.content-btn {
    margin-top: .5rem;
}


.bottom-content {
    position: relative;
    top: 6.2rem;
    margin: 0.3rem auto;
    width: 4.9rem;
    padding: 0.8rem 0.6rem 0.3rem 0.6rem;
    background-image: linear-gradient(to top, #fffbe0 0%, #ffffff 100%);
    border-radius: 0.1em;
    margin-bottom: 6.5rem;
}

.bottom-left {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 1.2rem;
}

.bottom-center {
    font-size: .24rem;
    padding: 0.2rem 0rem;
    margin: 0 0.2rem;
    flex: 1;
    display: flex;
    justify-items: center;
    align-items: center;
}

.bottom-center .text1 {
    color: #025d9d;
    font-weight: 600;
    font-size: .2rem;
}

.bottom-center .text2 {
    margin-top: 0.15rem;
    font-size: .3rem;
    font-weight: 600;
    color: #fb4509;
}

.text2True{
    text-decoration: line-through;
}
.bottom-right {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 1.5rem;
}

.title-img {
    position: absolute;
    width: 3.5rem;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
}

.modal-wrapper {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    background: rgba(0, 0, 0, .4);
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}

.modal-cont {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #fff;
}

.layui-m-layerchild {
    position: relative;
    display: inline-block;
    text-align: left;
    background-color: #fff;
    border-radius: 0.1rem;
    font-size: .14rem;
    box-shadow: 0 0 8px rgba(0, 0, 0, .1);
    pointer-events: auto;
    -webkit-overflow-scrolling: touch;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-duration: .2s;
    animation-duration: .2s;
}

.layui-m-layercont {
    padding: 0rem 1.25rem;
    line-height: .2rem;
    text-align: center;
    color: #797171;
    font-size: .2rem;
    margin: 0.2rem 0rem;
}

.layui-m-layerbtn,
.layui-m-layerbtn span {
    position: relative;
    text-align: center;
    border-radius: 0 0 5px 5px;
}

.layui-m-layerbtn {
    display: -moz-box;
    display: -webkit-box;
    width: 100%;
    height: 50px;
    line-height: 50px;
    font-size: 0;
    border-top: 1px solid #D0D0D0;
    background-color: #F2F2F2;
}

.layui-m-layercont .title {
    font-size: 0.3rem;
    font-weight: bolder;
    margin: 0.5rem 0.3rem;
    line-height: .3rem;
}

.layui-m-layerbtn,
.layui-m-layerbtn span {
    position: relative;
    text-align: center;
    border-radius: 0 0 5px 5px;
}

.layui-m-layerbtn span[yes] {
    color: #40AFFE;
    font-size: .28rem;
}

.layui-m-layerbtn span[no] {
    color: #9eacb5;
    font-size: .28rem;
    border-right: 1px solid #D0D0D0;
    border-radius: 0;
}

.layui-m-layerbtn span {
    display: block;
    -moz-box-flex: 1;
    box-flex: 1;
    -webkit-box-flex: 1;
    font-size: 14px;
    cursor: pointer;
}

.layui-m-layerbtn,
.layui-m-layerbtn span {
    position: relative;
    text-align: center;
    border-radius: 0 0 5px 5px;
}

.layui-m-layerbtn span {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}
.loginBox {
    width: 5.6rem;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    padding: 0.6rem 0.2rem;
    justify-content: center;
    top: 3.2rem;
    background-image: linear-gradient(135deg, #ffffff 0%, #fffbe0 100%);
    border-radius: 0.2rem;
    display: flex;
    flex-direction: column;
}
.van-icon {
    position: relative;
    font: normal normal normal 14px/1 vant-icon;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
}
.van-icon-cross:before {
    content: "\F042";
}
.van-popup__close-icon--top-right {
    top: 7px;
    right: 7px;
    color: #000;
}
.van-popup__close-icon--top-right {
    top: 7px;
    right: 7px;
    color: #000;
}
.login-title {
    color: #FF6113;
    font-size: 0.35rem;
    text-align: center;
    font-weight: 600;
    margin-bottom: 0.5rem;
    letter-spacing: .05rem;
}
.login_detail {
    overflow: hidden;
    border-radius: 20px;
    height: 0.8rem;
    margin-bottom: 0.3rem;
    position: relative;
    box-sizing: border-box;
    font-size: .3rem;
    color: #000;
    text-indent: 0;
    display: flex;
    justify-content: center;
}
.login_content {
    font-size: .24rem;
    line-height: .8rem;
    width: 5rem;
    height: 0.8rem;
    background-color: #e8e8e8;
    border-radius: 40px;
    overflow: hidden;
    color: #000;
    text-indent: 30px;
    box-sizing: border-box;
}
.login-code_content {
    margin-left: 0.3rem;
    width: 2.8rem;
    display: flex;
    justify-content: space-between;
    height: 0.8rem;
    line-height: .8rem;
    font-size: .24rem;
    color: #333;
    text-indent: 30px;
    border: none;
    box-sizing: border-box;
    background-color: #e8e8e8;
    border-radius: 40px;
    overflow: hidden;
}
.login-right_code_content {
    box-sizing: border-box;
    font-size: .25rem;
    text-align: center;
    color: #fff;
    letter-spacing: .02rem;
}

.login-right_code {
    position: absolute;
    width: 2rem;
    height: 100%;
    right: 0.3rem;
    top: 0;
    color: #fff;
    background-image: linear-gradient(to top, #F9491C 0%, #FD8053 100%);
    border-radius: 47px;
    text-align: center;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
.login_code {
    /* height: 0.8rem; */
    box-sizing: border-box;
    position: relative;
}
.oneClick_Login {
    text-align: center;
    font-size: .35rem;
    color: #333333;
}
.oneClick_Text {
    text-align: center;
    margin-top: 0.1rem;
    font-size: .2rem;
    color: red;
}
.phone_content {
    font-size: .24rem;
    line-height: .7rem;
    /*width: 5.6rem;*/
    height: .7rem;
    background-color: #e8e8e8;
    border-radius: 40px;
    overflow: hidden;
    color: #000;
    text-indent: 30px;
    box-sizing: border-box
}

.login-btn {
    display: flex;
    justify-content: center;
    margin: 0.3rem 0;
}
.loginBtn {
    width: 5rem;
    height: 0.76rem;
    background-size: 100%;

}

.bt2{
    color: #fff;
    background-image: linear-gradient(to top, #F9491C 0%, #FD8053 100%);
    border-radius: 47px;
    text-align: center;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-overlay {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .7);
    overflow-y: auto;
}

.van-toast--html,
.van-toast--text {
    width: fit-content;
    min-width: 96px;
    min-height: 0;
    padding: 8px 12px;
}

.van-toast {
    position: fixed;
    top: 50%;
    left: 50%;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -webkit-align-items: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    box-sizing: content-box;
    width: 110px;
    max-width: 70%;
    min-height: 20px;
    padding: 10px;
    color: #fff;
    font-size: 14px;
    line-height: 20px;
    white-space: pre-wrap;
    text-align: center;
    word-wrap: break-word;
    background-color: rgba(0, 0, 0, .7);
    border-radius: 8px;
    -webkit-transform: translate3d(-50%, -50%, 0);
    transform: translate3d(-50%, -50%, 0);
}
.van-toast--html .van-toast__text,
.van-toast--text .van-toast__text {
    margin-top: 0;
    font-size: .2rem;
}